<?xml version="1.0" encoding="UTF-8"?><VW_TOT_PLAN desc_thai="สรุป OT Plan" desc_eng="OT Plan" editcheck="true" mainhelp="VW_TOT_PLANHELP" referhelp="VW_TOT_PLANHELP" mainkey="EMPLOYEEID" fieldsystem="" deleteflag="true" config_field="">
<FIELD>
	<EMPLOYEEID lang="A" encrypt="false" log="false" type="String" isupdate="false">
				<KEY>1</KEY>
				<WIDTH>15</WIDTH>
				<DESC_ENG>Employee ID</DESC_ENG>
				<DESC_THAI>รหัสพนักงาน</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>15</MAXSIZE>
					<SIZE>15</SIZE>
					<ALT_THAI>รหัสพนักงาน</ALT_THAI>
					<ALT_ENG>Employee ID</ALT_ENG>
				</COMPONENT>
				<RELATION>MEMPLOYEE</RELATION>
				<REQUIRE>true</REQUIRE>
		</EMPLOYEEID>
		<YEAR lang="A" encrypt="false" verify="false" log="false" type="String">
				<KEY>2</KEY>
				<WIDTH>4</WIDTH>
				<DESC_ENG>Year</DESC_ENG>
				<DESC_THAI>ปี</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>4</MAXSIZE>
					<SIZE>5</SIZE>
					<ALT_ENG>Year</ALT_ENG>
					<ALT_THAI>ปี</ALT_THAI>
					<REQUIRE>TRUE</REQUIRE>
					<ONKEYPRESS>chkInteger();</ONKEYPRESS>
					<ONKEYUP>formatYear(this);</ONKEYUP>
					<ONBLUR>chkTrueYear(this);</ONBLUR>
				</COMPONENT>
		</YEAR>
		<MONTH lang="A" encrypt="false" verify="false" log="false" type="String">
				<KEY>3</KEY>
				<WIDTH>2</WIDTH>
				<DESC_ENG>Month</DESC_ENG>
				<DESC_THAI>เดือน</DESC_THAI>
				<COMPONENT type="list">
					<MAXSIZE>2</MAXSIZE>
					<SIZE>2</SIZE>
					<ALT_ENG>Month</ALT_ENG>
					<ALT_THAI>เดือน</ALT_THAI>
					<VALIDCODE>MONTHCODE</VALIDCODE>
				</COMPONENT>
		</MONTH>
		<COMPANYID lang="A" encrypt="false" verify="false" log="false" type="String">
				<KEY>4</KEY>
				<WIDTH>5</WIDTH>
				<RELATION />
				<DESC_ENG>Company ID</DESC_ENG>
				<DESC_THAI>รหัสบริษัท</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>5</MAXSIZE>
					<SIZE>5</SIZE>
					<DISABLE>false</DISABLE>
					<ALT_THAI>รหัสบริษัท</ALT_THAI>
					<ALT_ENG>Company ID</ALT_ENG>
				</COMPONENT>
		</COMPANYID>
		<TYPE lang="A" encrypt="false" verify="false" log="false" type="String">
				<WIDTH>2</WIDTH>
				<DESC_ENG>Type</DESC_ENG>
				<DESC_THAI>ประเภท</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>2</MAXSIZE>
					<SIZE>2</SIZE>
					<ALT_ENG>Type</ALT_ENG>
					<ALT_THAI>ประเภท</ALT_THAI>
				</COMPONENT>
		</TYPE>
		<TOTAL_15 lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Total 1.5</DESC_ENG>
			<DESC_THAI>Total 1.5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>4</SIZE>
				<ALT_ENG>Total 1.5</ALT_ENG>
				<ALT_THAI>Total 1.5</ALT_THAI>
			</COMPONENT>
		</TOTAL_15>
		<TOTAL_20 lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Total 2.0</DESC_ENG>
			<DESC_THAI>Total 2.0</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>4</SIZE>
				<ALT_ENG>Total 2.0</ALT_ENG>
				<ALT_THAI>Total 2.0</ALT_THAI>
			</COMPONENT>
		</TOTAL_20>
		<TOTAL_30 lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Total 3.0</DESC_ENG>
			<DESC_THAI>Total 3.0</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>4</SIZE>
				<ALT_ENG>Total 3.0</ALT_ENG>
				<ALT_THAI>Total 3.0</ALT_THAI>
			</COMPONENT>
		</TOTAL_30>
	</FIELD>
	<RELATION>
		<MEMPLOYEE>
			<PARENT>VW_TOT_PLAN.EMPLOYEEID</PARENT>
			<PARENT>VW_TOT_PLAN.COMPANYID</PARENT>
			<CHILD>MEMPLOYEE.EMPLOYEEID</CHILD>
			<CHILD>MEMPLOYEE.COMPANYID</CHILD>
		</MEMPLOYEE>
	</RELATION>
</VW_TOT_PLAN>
